PFont f;
String message = "$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$";

Letter[] letters;

void setup() {
  size(500, 400);

  f = createFont("Helvetica",33,false);
  textFont(f);
  

  letters = new Letter[message.length()];

  int x = 20;
  for (int i = 0; i < message.length(); i++) {
    letters[i] = new Letter(250,200,message.charAt(i)); 
    x += textWidth(message.charAt(i));
  }
}

void draw() { 
  background(0);
  for (int i = 0; i < letters.length; i++) {
    letters[i].display();
 noStroke();   
fill(255);
ellipse(269,189,38,38);
    if (mousePressed) {
      letters[i].shake();
    } else {
      letters[i].home();
    }
  }
}


class Letter {
  char letter;

  float homex,homey;

  float x,y;

  Letter (float x_, float y_, char letter_) {
    homex = x = x_;
    homey = y = y_;
    letter = letter_; 
  }


  void display() {
    fill(255);
    textAlign(LEFT);
    text(letter,x,y);
  }


  void shake() {
    x += random(-10,10);
    y += random(-10,10);
  }
  void home() {
    x = homex;
    y = homey; 
  }
}

